package dto

import (
	"mc-client-updater-server/pkg/dao/entity"
	"strings"
)

type User struct {
	Username string
	Roles    []string
}

func UserEntity2DTO(user *entity.User) *User {
	return &User{
		Username: user.Username,
		Roles:    strings.Split(user.Roles, ","),
	}
}
